List the contacts of a step

GET
/advanced/campaigns/{campaignId}/progress/contacts

Contacts that passed (completed) or wait at (waiting) a given step, newest first, 20 per page. Here page is ONE based.

Authorization

apiKey
Authorization<token>

Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.

In: header

Path Parameters

campaignId*string

Identifier of a multichannel campaign (24 hexadecimal characters), as returned by POST /advanced/campaigns or GET /advanced/campaigns.

Match^[0-9a-fA-F]{24}$

Query Parameters

stepId*string
status?string
Default"all"

Value in

  • "all"
  • "completed"
  • "waiting"
page?integer
Range1 <= value
Default1

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/advanced/campaigns/6650f1a2b839d80011c5a0f1/progress/contacts?stepId=65f1a2b3c4d5e6f7ec005b62" \  -H "Authorization: YOUR_API_KEY"
{  "success": true,  "contacts": [    {      "contactId": "6650f1a2b839d8001ee1c24d",      "firstName": "Claire",      "lastName": "Fontaine",      "email": "claire.fontaine@nexora.io",      "linkedinUrlProfile": "https://www.linkedin.com/in/claire-fontaine",      "status": "completed",      "date": "2026-10-06T09:30:00.000Z"    }  ],  "total": 250,  "totalPages": 13,  "completedTotal": 180,  "waitingTotal": 70}